latexila (3.14.4-0ubuntu1) vivid; urgency=medium

  * New upstream release (bug-fix). (LP: #1439315)
  * Detailled Upstream ChangeLog: (3.14.3 -> 3.14.4)
    - comment: don't insert trailing space
    - structure: list view items cannot disappear
    - MainWindow: remove shrink_window_when_unmaximized() (no longer needed)
    - Side panel: small space on the right because the GtkPaned handle is no
      longer drawn by GTK+.
    - synctex: pass correct timestamp to sync_view(): avoid useless PDF
      viewer's notifications
    - po: Updated Basque language
    - po: Added Bosnian translation
    - Spell checking: better handling if dictionary not available and keep a
      reference to the spell checker so it is not created each time
    - Show information about LaTeXila fundraiser
    - Menu: Change Help menu item for the fundraiser

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 05 Apr 2015 21:08:01 +0200

latexila (3.14.3-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (3.14.2 -> 3.14.3)
    - Adapt code for GtkSourceView 3.14.3
    - Translation updates
  * debian/control:
    - GtkSourceView: set min version to 3.14.3

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 19 Feb 2015 13:37:52 +0100

latexila (3.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.12 -> 3.14)
    - Now LaTeXila follows the GNOME versions
    - Better icons
    - Upgrade to gee-0.8
    - Other small improvements
  * Upstream ChangeLog: (3.14.0 -> 3.14.2)
    - A few bug fixes and small improvements
    - GTK+ 3.14 is required because LaTeXila overrides some CSS properties
      and assumes that GTK+ 3.14 is used.
    - Build: a file was missing in tarballs
    - Add keywords to latexila.desktop
    - Translation updates
  * debian/control:
    - Replaced libgee-dev by libgee-0.8-dev
    - Replaced autoconf by autotools-dev
    - Updated minimal versions (thanks to Tanguy Ortolo)
    - Bumped Standards-Version
    - latexila: set gsettings-desktop-schemas and latexmk as recommended
      packages: we can use LaTeXila without them but it's not recommended
    - latexila: removed rubber as suggested package, added latex-beamer
  * debian/rules:
    - Added LD flags in DEB_LDFLAGS_MAINT_APPEND
    - Added DEB_BUILD_MAINT_OPTIONS (thanks to Tanguy Ortolo)
  * debian/compat:
    - Bumped to 9th version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 19 Feb 2015 12:07:58 +0100

latexila (2.12.1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.10.1 -> 2.12.0)
    - Refresh structure when saving
    - Misc bugfixes and small improvements
    - Translations updates
  * Upstream ChangeLog: (2.12.0 -> 2.12.1)
    - Fix regex in latex post-processor
    - Added Polish translation
    - Translation updates
  * debian/control:
    - GLib 2.40 is required
    - Bumped Standards-Version (no changes required)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 11 May 2014 22:39:49 +0200

latexila (2.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.10.0 -> 2.10.1)
    - Translations updates
    - Update URL of main web site (now on the wiki)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 18 Feb 2014 22:51:29 +0100

latexila (2.10.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.8 -> 2.10)
    - The search and replace has been improved, to use the new API from
      GtkSourceView.
    - The upstream version of GtkSpell is used.
    - Improvements to the completion
    - AppData file
    - Translations updates
  * debian/control:
    - Used 'wrap-and-sort' tool to reformat the text
    - Bumpped min version of Gtk and GtkSourceView
    - Used GtkSpell3 instead of Enchant
    - Updated homepage website to the new one

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 13 Dec 2013 00:55:58 +0100

latexila (2.8.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.8.2 -> 2.8.3)
    - Build tools: fix crash on unknown post processor
    - Updated Galician translations
  * debian/rules:
    - added '--parallel'

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 31 Aug 2013 18:10:02 +0200

latexila (2.8.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.8.1 -> 2.8.2)
    - Misc bug fixes

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 07 Jun 2013 21:06:03 +0200

latexila (2.8.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.6.2 -> 2.7.0)
    - Insert table and tabular: more complete example
    - Changes in the toolbars
    - Build tools: use shorter options with Latexmk
    - Build tools: remove support of Rubber
    - Misc bug fixes
    - Translations updates
  * Upstream ChangeLog: (2.7.0 -> 2.8.0)
    - Allow the menu bar to shrink below its minimum size
    - Load and save accelerator maps (it's now possible to edit the keyboard
      shortcuts)
    - Change the application icons
    - Add Ctrl+E shortcut for \emph{}
    - Improvements to the completion
    - Misc bugfixes
    - Translations updates
  * Upstream ChangeLog: (2.8.0 -> 2.8.1)
    - Bump required version of GLib to 2.36
    - Add Catalan and Greek translations
    - Translations updates
    - Misc bugfixes
  * debian/control:
    - Bump required version of GLib, Gtk and GtkSourceView
    - Bump Standards-Version (no change needed)
    - Remove 'DM-Upload-Allowed' obsolete field

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 25 May 2013 15:37:36 +0200

latexila (2.6.2-0ubuntu2) saucy; urgency=low

  * No-change rebuild for gtksourceview3 transition

 -- Iain Lane <iain.lane@canonical.com>  Fri, 24 May 2013 15:29:43 +0100

latexila (2.6.2-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.6.1 -> 2.6.2)
    - Misc bug fixes
    - Translations updates

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 25 Nov 2012 00:00:43 +0100

latexila (2.6.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Upstream ChangeLog:
    (2.4.0 -> 2.4.1):
   - Figure insertion: swap \label and \caption
   - Updated French, Czech translations
   - Added Indonesian translation
    (2.4.1 -> 2.6.0):
   - Port to GTK+ 3
   - Forward and backward search with SyncTeX
   - Improvements to the build tools and the build view
   - Improvements to the integrated file browser
   - Structure: open an included file or an image
   - Build system: switch from CMake to the Autotools
   - A lot of code cleanup and refactoring 
    (2.6.0 -> 2.6.1):
   - Autotools: required version of Vala is now optional
   - Comment selected lines: comment empty lines too
   - Misc bug fixes
    (for more details, the NEWS file is available with this package)
  * debian/control & debian/rules:
   - Switched from CMake to the Autotools
   - Switched from GTK2 to GTK3
   - Added intltool and libxml2-utils
  * debian/rules:
   - Configure Flags are no longer available.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 03 Nov 2012 17:24:39 +0100

latexila (2.4.0-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #967851)
  * Upstream Changelog;
   - Document compilation: set temporary location if file not saved
   - More documentation
   - Structure: bug fix for the display of simple lists
   - Build View: remove button "show critical errors"
   - Templates: code clean-up
   - More LaTeX commands for the completion
   - F12 shortcut to show/hide the side panel
   - TODO file removed (now in the wiki)
   - Updated Spanish, Slovenian, Serbian, French, German, Latvian,
      Norwegian bokmål and Czech translations

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 02 Apr 2012 23:24:41 -0400

latexila (2.3.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #930810)
  * Upstream ChangeLog:
   + 2.2 -> 2.3.0:
    - Spell checking with GtkSpell
    - Build Tools: add XeTeX -> PDF with Latexmk
    - Improve figure environment insertion
    - Templates: better icons
    - Added Esperanto translation
    - Updated Swedish, French and German translations
    - New CMake option: VALAC
    - Switch to Vala 0.14 
   + 2.3.0 -> 2.3.1:
    - More completion data
    - Support drag and drop of a list of files
    - Completion: code clean-up
    - Beamer environments: frame, block, columns, column
      (in the LaTeX menu and in the edit toolbar)
    - Fix bug for structure actions 'delete' and 'cut'
    - Add Simplified Chinese, Norwegian bokmål translations
    - Updated Spanish translation
  * debian/control:
   - libgtkspell-dev is now needed as a new build-dep
   - Added texlive-xetex as suggested package for 'latexila'
  * debian/watch:
   - Upstream tarballs are now compressed in .tar.xz

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 14 Feb 2012 01:05:14 +0200

latexila (2.2.2-1ubuntu1) precise; urgency=low

  [ Leo Iannacone ]
  * Merge from Debian testing (LP: #913151).  Remaining changes:
    + debian/rules: 
      - override_dh_auto_configure passing -DWITH_GNOME=ON as a better
        integration with GNOME and gsettings-desktop-schemas
    + debian/control:
      - added texlive-latex-recommended, hicolor-icon-theme as
        recommended packages
      - moved rubber from depends to suggested
      - added texlive-latex-extra as suggested
  * All other Ubuntu changes are dropped as no longer needed, or have
    been imported in the last debian packages.
  
  [ Mahyuddin Susanto ]
  * debian/control: Fix typos, Suggest -> Suggests.

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 17 Jan 2012 23:47:30 +0700

latexila (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
     + removed extra leading whitespaces in licenses blocks.
     + added missing license block GPL-2+.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 23 Oct 2011 22:33:20 +0200

latexila (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: update dependencies.
  * debian/latexila.lintian-overrides: comment the fact that lintian only
    detects the missing manpage when run on the single latexila binary
    package.
  * debian/copyright:
     + updated Format (no change required).
     + updated Copyright dates.
     + detailed COMSOLiD acronym.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 10 Sep 2011 23:39:50 +0200

latexila (2.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #837392)
  * Upstream ChangeLog:
   - Integration with GNOME Damned Lies (use ITS Tool, ...)
   - Structure: more robust, and more optimized
   - Latexmk post processor: extract Latexmk messages
   - BibTeX and MakeIndex: fix problems for writing *.blg or *.ind files
   - Some UI improvements
   - New CMake options: WITH_GNOME and COMPILE_SCHEMA
   - Open File: filter to show only .tex and .bib files
   - Translation updates: French, German and Spanish
   - Some other little improvements and bug fixes
  * debian/control: Build-Depends:
   - valac is no longer needed (valac 0.12.x is not available on Oneiric).
   - itstool is now needed.
  * debian/rules:
   - Removed -DBUILD_VALA=ON CMake flag: we can't translate Vala
      files with Vala 0.13.
   - Added -DWITH_GNOME=ON: Better integration with GNOME
      and gsettings-desktop-schemas.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 30 Aug 2011 16:28:25 +0200

latexila (2.1.1-0ubuntu2) oneiric; urgency=low

  * debian/control:
   - Build-Depends: Added gsettings-desktop-schemas-dev
      (requested by the upstream)
   - Depends: Added gsettings-desktop-schemas and removed useless
      packages added by ${shlibs:Depends}.
  * debian/rules: Added BUILD_VALA flag in order to translate .vala
     files with valac package from the distribution (0.13)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 11 Aug 2011 23:26:20 +0200

latexila (2.1.1-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) <matttbe@gmail.com> ]
  * New upstream release. (LP: #823566)
  * Upstream ChangeLog:
   + From 2.0.8 to 2.1.0:
    - Build Tools: Latexmk by default instead of Rubber
       (Rubber is still available)
    - New build tools: "low level" commands
       (latex, pdflatex, dvipdf, etc.)
    - Show/hide a build tool
    - Build View: show/hide errors/warnings/badboxes
    - File Browser: new icon for images
    - Structure of a document to easily navigate in it
    - Some code clean-up and little fixes
   + From 2.1.0 to 2.1.1:
    - Structure:
     ~ better implemenation (custom Gtk.TreeModel)
     ~ better performances (line-by-line parsing)
     ~ simple lists of items, to find more quickly one element
     ~ some actions: cut, copy, delete, select, comment, shift left/right
    - Build Tools: copy button to duplicate a build tool
    - Mallard documentation about the build tools
    - Build View: text is selectable, so we can copy/paste it
    - Cleanup Build Files: take into account projects
    - Show/hide the main toolbar
    - Fix: Build Tools not available on a .bib project file
    - dconf: scripts for migrating latexila 2.0.x -> 2.2.x
    - Some other little improvements and bug fixes
   + Note: These 2.1.x versions are the beta releases of next 2.2.x version.
  * debian/control:
   - Maintainer: Used the update-maintainer command.
   - latexila: updated the dependence list: replaced rubber by latexmk
      (see the ChangeLog above) (rubber is now suggested).
   - Added texlive-latex-extra as suggested package.
   - Added texlive-latex-recommended as recommended package
      (needed to build some templates).
   - Added gsettings-desktop-schemas and hicolor-icon-theme as
      recommended packages (requested by the upstream).

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Bump minimum valac build dependency to 0.12.1 to match the change in 
    CMakeLists.txt
    - update debian/control

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 11 Aug 2011 15:34:53 -0500

latexila (2.0.8-1) unstable; urgency=low

  * New upstream version.
  * Upstream project now hosted by GNOME:
     + debian/control: New Homepage.
     + debian/watch: New release site (GNOME FTP) and tarball format (XZ'ed).
  * debian/control: updated Standards-Version -no change required).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 26 Jun 2011 15:39:57 +0200

latexila (2.0.7-1) unstable; urgency=low

  * New upstream release (bug and typo fixes). (LP: #731514)
  * Rebuilt with debhelper >= 8.1.5 to detect the dependency on the dconf
    backend. (Closes: #620388)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 02 May 2011 00:26:08 +0200

latexila (2.0.6-1) unstable; urgency=low

  * New upstream release (bug fixes). (Closes: #615844)
  * debian/control: depend on rubber (a LaTeX IDE is almost useless if it
    cannot compile). (Closes: #617348)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 08 Mar 2011 20:12:19 +0100

latexila (2.0.5-1) unstable; urgency=low

  [ Tanguy Ortolo ]
  * New upstream version (new dependencies).
  * debian/control: bumped Standards-Version (no modification required).
  * debian/copyright: switched to DEP-5.
  * debian/latexila{,-data}.lintian-overrides: override two lintian false
    positives, due to the package split between latexila and latexila-data.
  * debian/rules: install NEWS as upstream changelog.
  * debian/latexila.xpm: update to the new icon.
  * debian/latexila.link: remove icon symlinks, now provided by upstream.
  * debian/watch: handle bzip2 and gzip tarballs.

  [ Emmanuel Bouthenot ]
  * debian/control: added DM-Upload-Allowed to allow Tanguy to upload the
    package by himself.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 08 Mar 2011 19:47:37 +0100

latexila (0.2.0-2) unstable; urgency=low

  * debian/control: make latexila depend on latexila-data. (Closes: #583172)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 26 May 2010 21:02:37 +0200

latexila (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #579279)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 26 Apr 2010 22:13:00 +0200

